// // Styles
// // CoreUI Icons Set
// @import '~@coreui/icons/css/coreui-icons.css';
// // Import Flag Icons Set
// //@import '~flag-icon-css/css/flag-icon.min.css';
// // Import Font Awesome Icons Set
// @import '~font-awesome/css/font-awesome.min.css';
// // Import Simple Line Icons Set
// @import '~simple-line-icons/css/simple-line-icons.css';
// // Import Main styles for this application
// @import './scss/style.scss';
@import "theme/_config"; //site related UI config
@import "theme/_breakpoints"; //for responsive related break points
@import "theme/_buttons"; // for Buttons
@import "theme/_form"; // form related UI.
@import "theme/_mixins"; //
@import "theme/_fonts"; //
@import "theme/_flex"; //
@import "theme/_navigation";
@import "theme/_layout";
@import "sass/_pages";
@import "sass/_ag-grid-custom.scss";

body {
  margin: 0;
  padding: 0;
  background-color: #fff;
  color: #172B4D;
  font-size: 14px;
  font-weight: 400;
  line-height: 1.4;
  @include regular-font;
  text-rendering: optimizeLegibility;
  -webkit-font-smoothing: antialiased;
  overflow: hidden;
}

.align-center {
  align-items: center;
}

.justify-center {
  justify-content: center;
}

.name-row {
  .row-child {
    width: 45%;

    &.last-child {
      margin-left: 10%;
    }
  }
}

.block-items {
  display: block;
  overflow: auto;
  height: 100vh;
  width: 100%;
  padding: 0 16px;
}

.signin-container {
  background-color: #ffffff;
  display: flex;
  flex-direction: row;
  width: 100%;
  min-height: 100vh;
  overflow-y: auto;

  @media (max-width: 767px) {
    flex-direction: column;
  }

  .signup-block {
    display: flex;
    flex: 1;
    background-color: #434BDF;
    color: #fff;
    align-items: center;
    justify-content: center;
    text-align: center;
    padding: 0 16px;

    .signup-container {
      align-items: center;
      display: flex;
      flex-direction: column;
      justify-content: center;
      padding: 0 16px;
    }

    h2 {
      font-size: 30px;
      margin-bottom: 0;
      font-weight: 400;
      color: #ffffff;
    }

    p {
      font-size: 16px;
      margin-bottom: 64px;
    }

    img {
      margin-bottom: 14px;
    }
  }

  .signin-block {
    display: flex;
    flex: 1;
    background-color: #ffffff;

    h1 {
      font-family: 'Montserrat', sans-serif;
    }

    form {
      width: 100%;
      max-width: 410px;
    }

    .signin-form {
      width: 100%;
      min-height: 100%;
      align-items: center;
      display: flex;
      flex-direction: column;
      justify-content: center;

      h1 {
        font-family: 'Montserrat', sans-serif;
        font-weight: 600;
        color: #4881FF;
        font-size: 32px;
        margin: 0 0 16px 0;
      }

      .actions-row {
        display: flex;
        justify-content: space-between;
        font-size: 14px;
        margin-bottom: 18px;
        align-items: center;
        margin-top: 20px;

        div {
          color: rgba(14, 25, 62, 0.5);
        }

        label.forget-link {
          font-weight: 600;
          font-size: 14px;
          color: #4881FF;
          cursor: pointer;

          &:hover {
            color: #5482ff;
          }
        }
      }
    }

    .footer-actions {
      width: 100%;
      margin-top: 30px;
      background-color: #fff;
      border: 0 none;
      padding: 0;
      position: relative;

      button {
        margin-right: 0;
      }
    }

    .form-horizontal {
      width: 100%;
      align-items: center;
      display: flex;
      flex-direction: column;
      justify-content: center;
    }

    .container {
      width: 100%;
      display: flex;
      justify-content: center;
      align-items: center;
    }

    p {
      font-size: 16px;
      color: rgba(14, 25, 62, 0.5);
      margin: 0 0 32px 0;
    }
  }
}

.forgot-password-container {
  width: 100%;
  height: 100%;
  min-height: 100vh; //text-align: center;

  .signin-form {
    width: 80%;
    max-width: 400px;
    margin: 0 auto;
  }
}

.reset-password-container {
  width: 100%;
  height: 100%;
  min-height: 100vh;
  text-align: center;
  display: flex;
  align-items: center;
  justify-content: center;
}

.content-search {
  position: relative;
  display: inline-flex;
  align-items: center;

  .search-icon {
    svg {
      position: absolute;
      left: 8px;
      top: 4px;
      bottom: 0;
    }

    >span {
      color: #5C5F73;
      display: inline;
    }

    svg {
      width: 20px;
    }
  }

  .ilJUcG {
    min-height: auto;
  }

  .Content-ve26fj-1 {
    padding-left: 32px;
  }
}

.global_nav_logo {
  width: 30px;
  height: 30px;
  overflow: hidden;
  border-radius: 5px;

  img {
    width: 100%;
    height: 100%;
  }
}

.form-check {
  display: flex;
  flex-direction: row;
}

.card-footer {
  margin-bottom: 30px;

  button {
    margin-right: 16px;
  }

  &.top-margin-30 {
    margin-top: 30px;
  }
}

//inputs
.bXOmNt {
  width: 100%;
}
.input-group {
  display: flex;
  flex-direction: column;

  label,
  .dKDRgr {
    color: #979CAB;
    font-size: 15px; //margin-bottom: 8px;
    @include medium-font;
    font-weight: normal;
  }

  .bXOmNt {
    width: 100%;
  }

  input {
    background: inherit !important;
  }

  .select {
    margin-bottom: 20px;
  }

  &.select-input {
    .select-lbl {
      line-height: 1.3333333333333333;
      padding: 20px 0px 4px 0px;
      color: #979CAB;
      font-size: 15px;
      font-family: "SF-Pro-Text-Medium", Sans-Serif;
      font-weight: normal;

      .asterik {
        color: #FF5630;
        padding-left: 2px;
      }
    }

    .select {
      margin-bottom: 0;
    }
  }

  h5.address-type {
    margin: 26px 0 0 0;
    font-size: 15px;
  }
}

.school-select-form {
  padding: 24px 0;

  h1 {
    font-family: 'Montserrat', sans-serif;
    font-weight: 600;
    color: #4881FF;
    font-size: 32px;
    margin: 0 0 16px 0;
  }
}

/*AUTOFILL RESETS*/

input:-webkit-autofill,
input:-webkit-autofill:focus,
input:-webkit-autofill:active,
textarea:-webkit-autofill,
select:-webkit-autofill {
  -webkit-box-shadow: 0 0 0 30px #fafbfc inset !important;
  box-shadow: 0 0 0 30px #fafbfc inset !important;
  -webkit-transition: background-color 0.2s ease-in-out, border-color 0.2s ease-in-out;
  transition: background-color 0.2s ease-in-out, border-color 0.2s ease-in-out;
}

input:-webkit-autofill:hover {
  -webkit-box-shadow: 0 0 0 30px #fafbfc inset !important;
  box-shadow: 0 0 0 30px #fafbfc inset !important;
}

.hqyPWx:hover {
  background-color: #EBECF0;

  input:-webkit-autofill {
    -webkit-box-shadow: 0 0 0 30px #EBECF0 inset !important;
    box-shadow: 0 0 0 30px #EBECF0 inset !important;
  }
}

/*Details view pages*/

.content-header {
  padding: 0 30px;
}

.header-row {
  display: flex;
  flex-direction: row;
  justify-content: space-between;
  align-items: center;
  height: 59px;
  border-bottom: 1px solid #EBECF0;

  h1 {
    font-size: 18px;
    color: #172B4D;
    letter-spacing: -0.2px;
    @include medium-font;
  }

  .right-panel {
    display: inline-flex;
    flex-direction: row;
    justify-content: space-between;
    align-items: center;

    button {
      margin-right: 16px;
    }
  }
}

/*Customized Uploader*/

.customized-uploader {
  margin-top: 20px;

  label {
    margin-bottom: 8px;
  }

  input {
    background: #EBECF0;
  }
}

/*AG Grid styles*/

.ag-cell {
  line-height: 47px;
}

.ag-header-cell {
  line-height: 36px;
}

.ag-row {
  border-bottom: 1px solid #E1E3EA;
}

.ag-header-row {
  border-bottom: 1px solid #E1E3EA;
}

/*Ag grid styles end*/

/*Menu customization styles*/

.contextual-menu {
  height: 100%;
  width: 100%;

  button {
    margin-bottom: 4px;
  }

  .active {
    button {
      background-color: #243582 !important;
    }
  }
}

.product-navigation {
  .logo-container {
    height: 60px;
    display: flex;
    align-items: center;
    justify-content: center;
    background: #243582;
  }

  a {
    text-decoration: none;

    &:hover {
      text-decoration: none;
    }
  }

  .menu-items {
    margin-top: 24px;
  }
}

/*Details pages*/

.edit-view {
  padding: 30px;
  text-align: left;

  form {
    width: 100%;
    max-width: 480px;

    .form-actions {
      display: flex;
      justify-content: flex-start;
      margin-top: 30px;

      button {
        margin-right: 16px;
      }
    }
  }
}

/*leftnav*/

.left-nav {
  .leftnav-header {
    border-bottom: 1px solid #E9EAED;
    padding: 0 16px;
    height: 59px;
    display: inline-flex;
    width: 239px;
    box-sizing: border-box;
    text-decoration: none;
    img {
      margin-right: 9px;
    }

    h3 {
      font-size: 18px;
      @include regular-font;
      font-weight: normal;
    }
  }

  .school-details {
    padding: 16px 20px 32px 20px;

    label {
      font-size: 15px;
      color: #2E3D57;
      letter-spacing: -0.2px;
      line-height: 18px;
      @include medium-font;
    }

    .row {
      align-items: flex-start;
    }

    img {
      margin-right: 9px;
    }

    p {
      margin: 0;
      line-height: 16px;
      font-size: 14px;
      color: #424D61;
    }
  }

  .nav-actions {
    display: flex;
    flex-direction: column;

    .status {
      font-size: 14px;
      line-height: 36px;
      padding: 0 9px 0 6px;
      position: relative;

      label {
        color: rgba(23, 43, 77, 0.8);
        padding: 0 14px;
        width: 174px;

        &:hover {
          background: rgba(9, 30, 66, 0.04);
          border-radius: 4px;
          color: #435370;
        }
      }

      &:after {
        content: "";
        width: 9px;
        height: 9px;
        background: transparent;
        border-radius: 50%;
        position: absolute;
        right: 9px;
        top: 13px;
      }

      &.started {
        &:after {
          background: #1D80C1;
        }
      }

      &.requires-conf {
        &:after {
          background: #CB214E;
        }
      }

      &.pending-review {
        &:after {
          background: #CD6911;
        }
      }

      &.complete {
        &:after {
          background: #40984B;
        }
      }
    }

    .sidebar-links {
      font-size: 14px;
      color: #445470;
      letter-spacing: 0.22px;
      cursor: pointer;
      @include medium-font;
      line-height: 36px;
      display: flex;
      flex-direction: row;
      align-items: center;
      text-decoration: none;
      img {
        margin-right: 9px;
      }
      label{
        cursor: pointer;
      }
      &.active {
        color: #0352CC;
      }
    }

    &.recents {
      margin: 0;
      padding: 0 20px 0 36px;
    }
  }

  .recents {
    display: flex;
    flex-direction: column;
    border-top: 1px solid #E1E2E8;
    border-bottom: 1px solid #E1E2E8;
    margin: 0 20px;

    .recents-header {
      height: 48px;
      align-items: center;
      display: inline-flex;

      img {
        margin-right: 13px;
      }
    }

    h4 {
      font-size: 14px;
      line-height: 36px;
      font-weight: normal;
      color: rgba(23, 43, 77, 0.6);
      margin: 0;
      text-transform: uppercase;
    }

    .recent-item {
      padding-left: 32px;
      line-height: 36px;
    }
  }
}

.full-width-container {
  position: absolute;
  left: 64px;
  right: 0px;
  width: calc(100% - 64px);
  z-index: 1;
  height: 100%;
  &.school{
    left: 0;
    width: calc(100% - 24px);
    .right-container.school{
      left: 0;
      width: 100%;
    }
  }
  .left-container {
    position: absolute;
    left: 0px;
    width: 239px;
    height: 100%;
    bottom: 0px;
    background-color: #F7F8FE;
    border-right: 1px solid #DFDFDF;
  }

  .right-container {
    position: absolute;
    left: 240px;
    width: calc(100% - 240px);
    height: 100%;
  }

  &.collapsed {
    left: 304px;

    .left-container {
      display: none;
    }

    .right-container {
      left: 0px;
    }
  }
}

.add-facility-popup {
  position: fixed;
  left: 64px;
  right: 0px;
  background: white;
  bottom: 0;
  top: 0;
}

.animated {
  -webkit-animation-duration: 1s;
  animation-duration: 1s;
  -webkit-animation-fill-mode: both;
  animation-fill-mode: both;
}

@-webkit-keyframes slideInLeft {
  from {
    -webkit-transform: translate3d(-100%, 0, 0);
    transform: translate3d(-100%, 0, 0);
    visibility: visible;
  }

  to {
    -webkit-transform: translate3d(0, 0, 0);
    transform: translate3d(0, 0, 0);
  }
}

@keyframes slideInLeft {
  from {
    -webkit-transform: translate3d(-100%, 0, 0);
    transform: translate3d(-100%, 0, 0);
    visibility: visible;
  }

  to {
    -webkit-transform: translate3d(0, 0, 0);
    transform: translate3d(0, 0, 0);
  }
}

.slideInLeft {
  -webkit-animation-name: slideInLeft;
  animation-name: slideInLeft;
}

.signin-btn {
  &.loading {
    opacity: 0.5;
    pointer-events: none;
  }
}

//Facility statuses
.status {
  .dGxtd {
    background-color: #2980C1;
    color: #fff;
  }

  &.Complete .dGxtd {
    background-color: #40974A;
  }

  &.Info.Required .dGxtd {
    background-color: #CB214E;
  }

  &.Flor .dGxtd {
    background-color: #CD6912;
  }

  &.Tusc .dGxtd {
    background-color: #CD6912;
  }
}
.school-address{
  display: flex;
  flex-direction: column;
}
